Bug 290547 - Pasting text from a website crashes words
Summary: Pasting text from a website crashes words
Status: RESOLVED FIXED
Alias: None
Product: calligrawords
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Ubuntu Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Calligra Words Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-01-03 23:28 UTC by Kubuntiac
Modified: 2012-01-07 11:49 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kubuntiac 2012-01-03 23:28:59 UTC
Application: calligrawords (2.4 Beta 5)
KDE Platform Version: 4.7.4 (4.7.4)
Qt Version: 4.7.4
Operating System: Linux 3.0.0-14-generic-pae i686
Distribution: Ubuntu 11.10

-- Information about the crash:
- What I was doing when the application crashed:

Pasting text from the homepage of wowrawcafe.ca into a default custom document. Words crashes instanntly every time. 

I'm using kde 4.7.3 from ubuntu repos and self compiled words (v2.3.84-756-g85098d0)

The crash can be reproduced every time.

-- Backtrace:
Application: Words (kdeinit4), signal: Segmentation fault
[Current thread is 1 (Thread 0xb5757710 (LWP 29819))]

Thread 4 (Thread 0xaef6ab70 (LWP 29820)):
#0  0xb5b02d10 in clock_gettime () from /lib/i386-linux-gnu/librt.so.1
#1  0xb6d267d5 in ?? () from /usr/lib/i386-linux-gnu/libQtCore.so.4
#2  0xb6df94b6 in ?? () from /usr/lib/i386-linux-gnu/libQtCore.so.4
#3  0xb6df980a in ?? () from /usr/lib/i386-linux-gnu/libQtCore.so.4
#4  0xb6df8053 in ?? () from /usr/lib/i386-linux-gnu/libQtCore.so.4
#5  0xb6df80ed in ?? () from /usr/lib/i386-linux-gnu/libQtCore.so.4
#6  0xb5a4788c in g_main_context_prepare () from /lib/i386-linux-gnu/libglib-2.0.so.0
#7  0xb5a48637 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#8  0xb5a48c2a in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#9  0xb6df8b37 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/i386-linux-gnu/libQtCore.so.4
#10 0xb6dc91dd in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/i386-linux-gnu/libQtCore.so.4
#11 0xb6dc9421 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/i386-linux-gnu/libQtCore.so.4
#12 0xb6ccc90b in QThread::exec() () from /usr/lib/i386-linux-gnu/libQtCore.so.4
#13 0xb6da9e2d in ?? () from /usr/lib/i386-linux-gnu/libQtCore.so.4
#14 0xb6ccf7b3 in ?? () from /usr/lib/i386-linux-gnu/libQtCore.so.4
#15 0xb5b19d31 in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#16 0xb60090ce in clone () from /lib/i386-linux-gnu/libc.so.6
Backtrace stopped: Not enough registers or memory available to unwind further

Thread 3 (Thread 0xad2afb70 (LWP 29821)):
#0  0xb5b02d10 in clock_gettime () from /lib/i386-linux-gnu/librt.so.1
#1  0xb6d267d5 in ?? () from /usr/lib/i386-linux-gnu/libQtCore.so.4
#2  0xb6df94b6 in ?? () from /usr/lib/i386-linux-gnu/libQtCore.so.4
#3  0xb6df980a in ?? () from /usr/lib/i386-linux-gnu/libQtCore.so.4
#4  0xb6df8053 in ?? () from /usr/lib/i386-linux-gnu/libQtCore.so.4
#5  0xb6df80ed in ?? () from /usr/lib/i386-linux-gnu/libQtCore.so.4
#6  0xb5a4788c in g_main_context_prepare () from /lib/i386-linux-gnu/libglib-2.0.so.0
#7  0xb5a48637 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#8  0xb5a48c2a in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#9  0xb6df8b37 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/i386-linux-gnu/libQtCore.so.4
#10 0xb6dc91dd in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/i386-linux-gnu/libQtCore.so.4
#11 0xb6dc9421 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/i386-linux-gnu/libQtCore.so.4
#12 0xb6ccc90b in QThread::exec() () from /usr/lib/i386-linux-gnu/libQtCore.so.4
#13 0xb6da9e2d in ?? () from /usr/lib/i386-linux-gnu/libQtCore.so.4
#14 0xb6ccf7b3 in ?? () from /usr/lib/i386-linux-gnu/libQtCore.so.4
#15 0xb5b19d31 in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#16 0xb60090ce in clone () from /lib/i386-linux-gnu/libc.so.6
Backtrace stopped: Not enough registers or memory available to unwind further

Thread 2 (Thread 0xab9ebb70 (LWP 29826)):
#0  0xb7760424 in __kernel_vsyscall ()
#1  0xb5b1de04 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/i386-linux-gnu/libpthread.so.0
#2  0xb6016d54 in pthread_cond_timedwait () from /lib/i386-linux-gnu/libc.so.6
#3  0xb6cce90c in ?? () from /usr/lib/i386-linux-gnu/libQtCore.so.4
#4  0xb6ccedf0 in QThread::msleep(unsigned long) () from /usr/lib/i386-linux-gnu/libQtCore.so.4
#5  0xaf2f1581 in SpaceNavigatorPollingThread::run (this=0x91cd4d0) at /home/user/Apps/calligra/calligra-src/plugins/spacenavigator/SpaceNavigatorPollingThread.cpp:97
#6  0xb6ccf7b3 in ?? () from /usr/lib/i386-linux-gnu/libQtCore.so.4
#7  0xb5b19d31 in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#8  0xb60090ce in clone () from /lib/i386-linux-gnu/libc.so.6
Backtrace stopped: Not enough registers or memory available to unwind further

Thread 1 (Thread 0xb5757710 (LWP 29819)):
[KCrash Handler]
#7  0xb16f2ed4 in KoList::listContinuedFrom (this=0x0) at /home/user/Apps/calligra/calligra-src/libs/kotext/KoList.cpp:233
#8  0xb1cf6c08 in ListItemsHelper::recalculateBlock (this=0xbfb7bdec, block=...) at /home/user/Apps/calligra/calligra-src/libs/textlayout/ListItemsHelper.cpp:263
#9  0xb1cd9a25 in KoTextLayoutArea::layoutBlock (this=0x8e25008, cursor=0x8ebb480) at /home/user/Apps/calligra/calligra-src/libs/textlayout/KoTextLayoutArea.cpp:748
#10 0xb1cdd044 in KoTextLayoutArea::layout (this=0x8e25008, cursor=0x8ebb480) at /home/user/Apps/calligra/calligra-src/libs/textlayout/KoTextLayoutArea.cpp:580
#11 0xb1cef39c in KoTextLayoutRootArea::layoutRoot (this=0x8e25008, cursor=0x8ebb480) at /home/user/Apps/calligra/calligra-src/libs/textlayout/KoTextLayoutRootArea.cpp:63
#12 0xb1cf1deb in KoTextDocumentLayout::doLayout (this=0x8a7c700) at /home/user/Apps/calligra/calligra-src/libs/textlayout/KoTextDocumentLayout.cpp:698
#13 0xb1cf24b8 in layout (this=0x8a7c700) at /home/user/Apps/calligra/calligra-src/libs/textlayout/KoTextDocumentLayout.cpp:569
#14 KoTextDocumentLayout::layout (this=0x8a7c700) at /home/user/Apps/calligra/calligra-src/libs/textlayout/KoTextDocumentLayout.cpp:552
#15 0xb1cefdd8 in KoTextDocumentLayout::executeScheduledLayout (this=0x8a7c700) at /home/user/Apps/calligra/calligra-src/libs/textlayout/KoTextDocumentLayout.cpp:760
#16 0xb1cf00dc in KoTextDocumentLayout::qt_metacall (this=0x8a7c700, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x8fe4658) at /home/user/Apps/calligra/calligra-build/libs/textlayout/KoTextDocumentLayout.moc:89
#17 0xb6dd0b7d in QMetaObject::metacall(QObject*, QMetaObject::Call, int, void**) () from /usr/lib/i386-linux-gnu/libQtCore.so.4
#18 0xb6ddb685 in QMetaCallEvent::placeMetaCall(QObject*) () from /usr/lib/i386-linux-gnu/libQtCore.so.4
#19 0xb6de2b52 in QObject::event(QEvent*) () from /usr/lib/i386-linux-gnu/libQtCore.so.4
#20 0xb62f5d54 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/i386-linux-gnu/libQtGui.so.4
#21 0xb62fb103 in QApplication::notify(QObject*, QEvent*) () from /usr/lib/i386-linux-gnu/libQtGui.so.4
#22 0xb74ec971 in KApplication::notify(QObject*, QEvent*) () from /usr/lib/libkdeui.so.5
#23 0xb6dca19e in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/i386-linux-gnu/libQtCore.so.4
#24 0xb6dcdf93 in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () from /usr/lib/i386-linux-gnu/libQtCore.so.4
#25 0xb6dce0ec in QCoreApplication::sendPostedEvents(QObject*, int) () from /usr/lib/i386-linux-gnu/libQtCore.so.4
#26 0xb6df86a4 in ?? () from /usr/lib/i386-linux-gnu/libQtCore.so.4
#27 0xb5a4825f in g_main_context_dispatch () from /lib/i386-linux-gnu/libglib-2.0.so.0
#28 0xb5a48990 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#29 0xb5a48c2a in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#30 0xb6df8ada in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/i386-linux-gnu/libQtCore.so.4
#31 0xb63ade3a in ?? () from /usr/lib/i386-linux-gnu/libQtGui.so.4
#32 0xb6dc91dd in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/i386-linux-gnu/libQtCore.so.4
#33 0xb6dc9421 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/i386-linux-gnu/libQtCore.so.4
#34 0xb6dce19d in QCoreApplication::exec() () from /usr/lib/i386-linux-gnu/libQtCore.so.4
#35 0xb62f38f4 in QApplication::exec() () from /usr/lib/i386-linux-gnu/libQtGui.so.4
#36 0xb518cced in kdemain (argc=1, argv=0x879e4b8) at /home/user/Apps/calligra/calligra-src/words/part/main.cpp:43
#37 0x0804f762 in _start ()

Possible duplicates by query: bug 289333.

Reported using DrKonqi
Comment 1 Gopalakrishna Bhat 2012-01-07 11:49:52 UTC
Git commit 13974fce7cce3cf377bf23537464b5b09aadca23 by Gopalakrishna Bhat A.
Committed on 07/01/2012 at 12:48.
Pushed by gopalakrishnabhat into branch 'master'.

On pasting the html content to Words handle the lists by adding it to the KoTextDocument.

M  +3    -1    libs/kotext/KoList.cpp
M  +31   -0    libs/kotext/KoTextEditor.cpp
M  +3    -0    libs/kotext/styles/KoListLevelProperties.cpp
M  +16   -6    libs/kotext/styles/KoStyleManager.cpp
M  +1    -0    libs/textlayout/ListItemsHelper.cpp

http://commits.kde.org/calligra/13974fce7cce3cf377bf23537464b5b09aadca23